/*
 * LembretesRemarcacaoPanel.java
 *
 * Created on 13 de Fevereiro de 2007, 23:24
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package siprp.lembretes.remarcacoes;

import com.evolute.utils.data.IDObject;
import com.evolute.utils.data.MappableObject;
import com.evolute.utils.jdo.JDOProvider;
import com.evolute.utils.ui.panel.multipleactionlist.MultipleActionListPanel;
import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.util.List;
import java.util.Vector;
import javax.swing.*;
import siprp.lembretes.Lembrete;
import siprp.lembretes.LembretesConstants;
import siprp.lembretes.LembretesDataProvider;

/**
 *
 * @author Frederico
 */
public class LembretesRemarcacaoPanel extends JPanel
	implements LembretesConstants
{
	protected JScrollPane listTrabalhadoresScroll;
	protected JScrollPane listEstabelecimentosScroll;
	protected MultipleActionListPanel listTrabalhadoresPanel;
	protected MultipleActionListPanel listEstabelecimentosPanel;
	
	protected RemarcacoesDataProvider provider;
	
	private final Integer empresaID;
	private final Integer estabelecimentoID;
	
	private JDOProvider JDO;
	
	/** Creates a new instance of LembretesRemarcacaoPanel */
	public LembretesRemarcacaoPanel( Integer empresaID, Integer estabelecimentoID )
		throws Exception
	{
		this.empresaID = empresaID;
		this.estabelecimentoID = estabelecimentoID;
		provider = RemarcacoesDataProvider.getProvider();
		setupComponents();
	}
	
	private void setupComponents()
		throws Exception
	{
		listTrabalhadoresPanel = 
				new MultipleActionListPanel( 
					new RemarcacoesActionFactory[]{ },
					new RemarcacoesActionFactory[]{ new RemarcacoesActionFactory( RemarcacoesActionFactory.TRABALHADOR ) } );
		listTrabalhadoresScroll = 
			new JScrollPane( listTrabalhadoresPanel, JScrollPane.VERTICAL_SCROLLBAR_ALWAYS,
								JScrollPane.HORIZONTAL_SCROLLBAR_NEVER );
		listEstabelecimentosPanel = 
				new MultipleActionListPanel( 
					new RemarcacoesActionFactory[]{ },
					new RemarcacoesActionFactory[]{ new RemarcacoesActionFactory( RemarcacoesActionFactory.ESTABELECIMENTO ) } );
		listEstabelecimentosScroll = 
			new JScrollPane( listEstabelecimentosPanel, JScrollPane.VERTICAL_SCROLLBAR_ALWAYS,
								JScrollPane.HORIZONTAL_SCROLLBAR_NEVER );
		setLayout( new GridLayout( 1, 2 ) );
		JPanel trabalhadoresPanel = new JPanel();
		JPanel estabelecimentosPanel = new JPanel();
		add( trabalhadoresPanel );
		add( estabelecimentosPanel );
		
		trabalhadoresPanel.setLayout( new BorderLayout() );
		trabalhadoresPanel.add( new JLabel( "Consultas / ECDs", JLabel.CENTER ), BorderLayout.NORTH );
		trabalhadoresPanel.add( listTrabalhadoresScroll, BorderLayout.CENTER );
		
		estabelecimentosPanel.setLayout( new BorderLayout() );
		estabelecimentosPanel.add( new JLabel( "Higiene e Seguran\u00e7a", JLabel.CENTER ), BorderLayout.NORTH );
		estabelecimentosPanel.add( listEstabelecimentosScroll, BorderLayout.CENTER );
	
		listTrabalhadoresPanel.showList( provider.getLembretesRemarcacaoTrabalhador( empresaID, estabelecimentoID ) );
//		listEstabelecimentosPanel.showList( estabelecimentos.toArray( new IDObject[ estabelecimentos.size() ] ) );
	}
	
	protected String criarDetalhesMarcacaoTrabalhador( Integer marcacaoID )
	{
		return null;
	}
}
